SELECT * 
FROM EXTERNAL_QUERY(
    '{{ project_id }}.us.context_store',
    '''
    select *
    from {{ schema }}.{{ table }}
    where (
        (exact BETWEEN -99999999999999999999999999999.999999999 AND 99999999999999999999999999999.999999999)
        OR (exact IS NULL)
    ) and (
        (margin BETWEEN -99999999999999999999999999999.999999999 AND 99999999999999999999999999999.999999999)
        OR (margin IS NULL)
    ) and (
        (starting_range BETWEEN -99999999999999999999999999999.999999999 AND 99999999999999999999999999999.999999999)
        OR (starting_range IS NULL)
    ) and (
        (ending_range BETWEEN -99999999999999999999999999999.999999999 AND 99999999999999999999999999999.999999999)
        OR (ending_range IS NULL)
    )
    '''
)
